Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAReturnCodes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAReturnCodes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAReturnCodes

extends java.lang.Object

`SNAReturnCodes` class represents all return codes for a CPIC call:

  `CM_OK`
  `CM_ALLOCATE_FAILURE_NO_RETRY`
  `CM_ALLOCATE_FAILURE_RETRY`
  `CM_CONVERSATION_TYPE_MISMATCH`
  `CM_PIP_NOT_SPECIFIED_CORRECTLY`
  `CM_SECURITY_NOT_VALID`
  `CM_SYNC_LVL_NOT_SUPPORTED_LU`
  `CM_SYNC_LEVEL_NOT_SUPPORTED_LU`
  `CM_SYNC_LVL_NOT_SUPPORTED_PGM`
  `CM_SYNC_LEVEL_NOT_SUPPORTED_PGM`
  `CM_TPN_NOT_RECOGNIZED`
  `CM_TPN_NOT_RECOGNISED`
  `CM_TP_NOT_AVAILABLE_NO_RETRY`
  `CM_TP_NOT_AVAILABLE_RETRY`
  `CM_DEALLOCATED_ABEND`
  `CM_DEALLOCATED_NORMAL`
  `CM_PARAMETER_ERROR`
  `CM_PRODUCT_SPECIFIC_ERROR`
  `CM_PROGRAM_ERROR_NO_TRUNC`
  `CM_PROGRAM_ERROR_PURGING`
  `CM_PROGRAM_ERROR_TRUNC`
  `CM_PROGRAM_PARAMETER_CHECK`
  `CM_PROGRAM_STATE_CHECK`
  `CM_RESOURCE_FAILURE_NO_RETRY`
  `CM_RESOURCE_FAILURE_RETRY`
  `CM_UNSUCCESSFUL`
  `CM_DEALLOCATED_ABEND_SVC`
  `CM_DEALLOCATED_ABEND_TIMER`
  `CM_SVC_ERROR_NO_TRUNC`
  `CM_SVC_ERROR_PURGING`
  `CM_SVC_ERROR_TRUNC`
  `CM_OPERATION_INCOMPLETE`
  `CM_SYSTEM_EVENT`
  `CM_OPERATION_NOT_ACCEPTED`
  `CM_CONVERSATION_ENDING`
  `CM_SEND_RCV_MODE_NOT_SUPPORTED`
  `CM_BUFFER_TOO_SMALL`
  `CM_EXP_DATA_NOT_SUPPORTED`
  `CM_DEALLOC_CONFIRM_REJECT`
  `CM_ALLOCATION_ERROR`
  `CM_RETRY_LIMIT_EXCEEDED`
  `CM_NO_SECONDARY_INFORMATION`
  `CM_SECURITY_NOT_SUPPORTED`
  `CM_SECURITY_MUTUAL_FAILED`
  `CM_CALL_NOT_SUPPORTED`
  `CM_PARM_VALUE_NOT_SUPPORTED`
  `CM_TAKE_BACKOUT`
  `CM_DEALLOCATED_ABEND_BO`
  `CM_DEALLOCATED_ABEND_SVC_BO`
  `CM_DEALLOCATED_ABEND_TIMER_BO`
  `CM_RESOURCE_FAIL_NO_RETRY_BO`
  `CM_RESOURCE_FAILURE_RETRY_BO`
  `CM_DEALLOCATED_NORMAL_BO`
  `CM_CONV_DEALLOC_AFTER_SYNCPT`
  `CM_INCLUDE_PARTNER_REJECT_BO`

  Version:
    cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
  Author:
    Harry Liu (harryliu@seebeyond.com)

  Field Summary
  `static int` | `CM_ALLOCATE_FAILURE_NO_RETRY`
  `static int` | `CM_ALLOCATE_FAILURE_RETRY`
  `static int` | `CM_ALLOCATION_ERROR`
  `static int` | `CM_BUFFER_TOO_SMALL`
  `static int` | `CM_CALL_NOT_SUPPORTED`
  `static int` | `CM_CONV_DEALLOC_AFTER_SYNCPT`
  `static int` | `CM_CONVERSATION_ENDING`
  `static int` | `CM_CONVERSATION_TYPE_MISMATCH`
  `static int` | `CM_DEALLOC_CONFIRM_REJECT`
  `static int` | `CM_DEALLOCATED_ABEND`
  `static int` | `CM_DEALLOCATED_ABEND_BO`
  `static int` | `CM_DEALLOCATED_ABEND_SVC`
  `static int` | `CM_DEALLOCATED_ABEND_SVC_BO`
  `static int` | `CM_DEALLOCATED_ABEND_TIMER`
  `static int` | `CM_DEALLOCATED_ABEND_TIMER_BO`
  `static int` | `CM_DEALLOCATED_NORMAL`
  `static int` | `CM_DEALLOCATED_NORMAL_BO`
  `static int` | `CM_EXP_DATA_NOT_SUPPORTED`
  `static int` | `CM_INCLUDE_PARTNER_REJECT_BO`
  `static int` | `CM_NO_SECONDARY_INFORMATION`
  `static int` | `CM_OK`
  `static int` | `CM_OPERATION_INCOMPLETE`
  `static int` | `CM_OPERATION_NOT_ACCEPTED`
  `static int` | `CM_PARAMETER_ERROR`
  `static int` | `CM_PARM_VALUE_NOT_SUPPORTED`
  `static int` | `CM_PIP_NOT_SPECIFIED_CORRECTLY`
  `static int` | `CM_PRODUCT_SPECIFIC_ERROR`
  `static int` | `CM_PROGRAM_ERROR_NO_TRUNC`
  `static int` | `CM_PROGRAM_ERROR_PURGING`
  `static int` | `CM_PROGRAM_ERROR_TRUNC`
  `static int` | `CM_PROGRAM_PARAMETER_CHECK`
  `static int` | `CM_PROGRAM_STATE_CHECK`
  `static int` | `CM_RESOURCE_FAIL_NO_RETRY_BO`
  `static int` | `CM_RESOURCE_FAILURE_NO_RETRY`
  `static int` | `CM_RESOURCE_FAILURE_RETRY`
  `static int` | `CM_RESOURCE_FAILURE_RETRY_BO`
  `static int` | `CM_RETRY_LIMIT_EXCEEDED`
  `static int` | `CM_SECURITY_MUTUAL_FAILED`
  `static int` | `CM_SECURITY_NOT_SUPPORTED`
  `static int` | `CM_SECURITY_NOT_VALID`
  `static int` | `CM_SEND_RCV_MODE_NOT_SUPPORTED`
  `static int` | `CM_SVC_ERROR_NO_TRUNC`
  `static int` | `CM_SVC_ERROR_PURGING`
  `static int` | `CM_SVC_ERROR_TRUNC`
  `static int` | `CM_SYNC_LEVEL_NOT_SUPPORTED_LU`
  `static int` | `CM_SYNC_LEVEL_NOT_SUPPORTED_PGM`
  `static int` | `CM_SYNC_LVL_NOT_SUPPORTED_LU`
  `static int` | `CM_SYNC_LVL_NOT_SUPPORTED_PGM`
  `static int` | `CM_SYSTEM_EVENT`
  `static int` | `CM_TAKE_BACKOUT`
  `static int` | `CM_TP_NOT_AVAILABLE_NO_RETRY`
  `static int` | `CM_TP_NOT_AVAILABLE_RETRY`
  `static int` | `CM_TPN_NOT_RECOGNISED`
  `static int` | `CM_TPN_NOT_RECOGNIZED`
  `static int` | `CM_UNSUCCESSFUL`

  Constructor Summary
  `SNAConstants.SNAReturnCodes()`

  Method Summary
  `static int` | `getCM_ALLOCATE_FAILURE_NO_RETRY()`
  `static int` | `getCM_ALLOCATE_FAILURE_RETRY()`
  `static int` | `getCM_ALLOCATION_ERROR()`
  `static int` | `getCM_BUFFER_TOO_SMALL()`
  `static int` | `getCM_CALL_NOT_SUPPORTED()`
  `static int` | `getCM_CONV_DEALLOC_AFTER_SYNCPT()`
  `static int` | `getCM_CONVERSATION_ENDING()`
  `static int` | `getCM_CONVERSATION_TYPE_MISMATCH()`
  `static int` | `getCM_DEALLOC_CONFIRM_REJECT()`
  `static int` | `getCM_DEALLOCATED_ABEND_BO()`
  `static int` | `getCM_DEALLOCATED_ABEND_SVC_BO()`
  `static int` | `getCM_DEALLOCATED_ABEND_SVC()`
  `static int` | `getCM_DEALLOCATED_ABEND_TIMER_BO()`
  `static int` | `getCM_DEALLOCATED_ABEND_TIMER()`
  `static int` | `getCM_DEALLOCATED_ABEND()`
  `static int` | `getCM_DEALLOCATED_NORMAL_BO()`
  `static int` | `getCM_DEALLOCATED_NORMAL()`
  `static int` | `getCM_EXP_DATA_NOT_SUPPORTED()`
  `static int` | `getCM_INCLUDE_PARTNER_REJECT_BO()`
  `static int` | `getCM_NO_SECONDARY_INFORMATION()`
  `static int` | `getCM_OK()`
  `static int` | `getCM_OPERATION_INCOMPLETE()`
  `static int` | `getCM_OPERATION_NOT_ACCEPTED()`
  `static int` | `getCM_PARAMETER_ERROR()`
  `static int` | `getCM_PARM_VALUE_NOT_SUPPORTED()`
  `static int` | `getCM_PIP_NOT_SPECIFIED_CORRECTLY()`
  `static int` | `getCM_PRODUCT_SPECIFIC_ERROR()`
  `static int` | `getCM_PROGRAM_ERROR_NO_TRUNC()`
  `static int` | `getCM_PROGRAM_ERROR_PURGING()`
  `static int` | `getCM_PROGRAM_ERROR_TRUNC()`
  `static int` | `getCM_PROGRAM_PARAMETER_CHECK()`
  `static int` | `getCM_PROGRAM_STATE_CHECK()`
  `static int` | `getCM_RESOURCE_FAIL_NO_RETRY_BO()`
  `static int` | `getCM_RESOURCE_FAILURE_NO_RETRY()`
  `static int` | `getCM_RESOURCE_FAILURE_RETRY_BO()`
  `static int` | `getCM_RESOURCE_FAILURE_RETRY()`
  `static int` | `getCM_RETRY_LIMIT_EXCEEDED()`
  `static int` | `getCM_SECURITY_MUTUAL_FAILED()`
  `static int` | `getCM_SECURITY_NOT_SUPPORTED()`
  `static int` | `getCM_SECURITY_NOT_VALID()`
  `static int` | `getCM_SEND_RCV_MODE_NOT_SUPPORTED()`
  `static int` | `getCM_SVC_ERROR_NO_TRUNC()`
  `static int` | `getCM_SVC_ERROR_PURGING()`
  `static int` | `getCM_SVC_ERROR_TRUNC()`
  `static int` | `getCM_SYNC_LEVEL_NOT_SUPPORTED_LU()`
  `static int` | `getCM_SYNC_LEVEL_NOT_SUPPORTED_PGM()`
  `static int` | `getCM_SYNC_LVL_NOT_SUPPORTED_LU()`
  `static int` | `getCM_SYNC_LVL_NOT_SUPPORTED_PGM()`
  `static int` | `getCM_SYSTEM_EVENT()`
  `static int` | `getCM_TAKE_BACKOUT()`
  `static int` | `getCM_TP_NOT_AVAILABLE_NO_RETRY()`
  `static int` | `getCM_TP_NOT_AVAILABLE_RETRY()`
  `static int` | `getCM_TPN_NOT_RECOGNISED()`
  `static int` | `getCM_TPN_NOT_RECOGNIZED()`
  `static int` | `getCM_UNSUCCESSFUL()`
  `static java.lang.String` | `getReturnCodeString(int returnCode)` Returns the returnCode as String

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### CM_OK

      public static final int CM_OK

  See Also:
    Constant Field Values

  ### CM_ALLOCATE_FAILURE_NO_RETRY

      public static final int CM_ALLOCATE_FAILURE_NO_RETRY

  See Also:
    Constant Field Values

  ### CM_ALLOCATE_FAILURE_RETRY

      public static final int CM_ALLOCATE_FAILURE_RETRY

  See Also:
    Constant Field Values

  ### CM_CONVERSATION_TYPE_MISMATCH

      public static final int CM_CONVERSATION_TYPE_MISMATCH

  See Also:
    Constant Field Values

  ### CM_PIP_NOT_SPECIFIED_CORRECTLY

      public static final int CM_PIP_NOT_SPECIFIED_CORRECTLY

  See Also:
    Constant Field Values

  ### CM_SECURITY_NOT_VALID

      public static final int CM_SECURITY_NOT_VALID

  See Also:
    Constant Field Values

  ### CM_SYNC_LVL_NOT_SUPPORTED_LU

      public static final int CM_SYNC_LVL_NOT_SUPPORTED_LU

  See Also:
    Constant Field Values

  ### CM_SYNC_LEVEL_NOT_SUPPORTED_LU

      public static final int CM_SYNC_LEVEL_NOT_SUPPORTED_LU

  See Also:
    Constant Field Values

  ### CM_SYNC_LVL_NOT_SUPPORTED_PGM

      public static final int CM_SYNC_LVL_NOT_SUPPORTED_PGM

  See Also:
    Constant Field Values

  ### CM_SYNC_LEVEL_NOT_SUPPORTED_PGM

      public static final int CM_SYNC_LEVEL_NOT_SUPPORTED_PGM

  See Also:
    Constant Field Values

  ### CM_TPN_NOT_RECOGNIZED

      public static final int CM_TPN_NOT_RECOGNIZED

  See Also:
    Constant Field Values

  ### CM_TPN_NOT_RECOGNISED

      public static final int CM_TPN_NOT_RECOGNISED

  See Also:
    Constant Field Values

  ### CM_TP_NOT_AVAILABLE_NO_RETRY

      public static final int CM_TP_NOT_AVAILABLE_NO_RETRY

  See Also:
    Constant Field Values

  ### CM_TP_NOT_AVAILABLE_RETRY

      public static final int CM_TP_NOT_AVAILABLE_RETRY

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND

      public static final int CM_DEALLOCATED_ABEND

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_NORMAL

      public static final int CM_DEALLOCATED_NORMAL

  See Also:
    Constant Field Values

  ### CM_PARAMETER_ERROR

      public static final int CM_PARAMETER_ERROR

  See Also:
    Constant Field Values

  ### CM_PRODUCT_SPECIFIC_ERROR

      public static final int CM_PRODUCT_SPECIFIC_ERROR

  See Also:
    Constant Field Values

  ### CM_PROGRAM_ERROR_NO_TRUNC

      public static final int CM_PROGRAM_ERROR_NO_TRUNC

  See Also:
    Constant Field Values

  ### CM_PROGRAM_ERROR_PURGING

      public static final int CM_PROGRAM_ERROR_PURGING

  See Also:
    Constant Field Values

  ### CM_PROGRAM_ERROR_TRUNC

      public static final int CM_PROGRAM_ERROR_TRUNC

  See Also:
    Constant Field Values

  ### CM_PROGRAM_PARAMETER_CHECK

      public static final int CM_PROGRAM_PARAMETER_CHECK

  See Also:
    Constant Field Values

  ### CM_PROGRAM_STATE_CHECK

      public static final int CM_PROGRAM_STATE_CHECK

  See Also:
    Constant Field Values

  ### CM_RESOURCE_FAILURE_NO_RETRY

      public static final int CM_RESOURCE_FAILURE_NO_RETRY

  See Also:
    Constant Field Values

  ### CM_RESOURCE_FAILURE_RETRY

      public static final int CM_RESOURCE_FAILURE_RETRY

  See Also:
    Constant Field Values

  ### CM_UNSUCCESSFUL

      public static final int CM_UNSUCCESSFUL

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND_SVC

      public static final int CM_DEALLOCATED_ABEND_SVC

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND_TIMER

      public static final int CM_DEALLOCATED_ABEND_TIMER

  See Also:
    Constant Field Values

  ### CM_SVC_ERROR_NO_TRUNC

      public static final int CM_SVC_ERROR_NO_TRUNC

  See Also:
    Constant Field Values

  ### CM_SVC_ERROR_PURGING

      public static final int CM_SVC_ERROR_PURGING

  See Also:
    Constant Field Values

  ### CM_SVC_ERROR_TRUNC

      public static final int CM_SVC_ERROR_TRUNC

  See Also:
    Constant Field Values

  ### CM_OPERATION_INCOMPLETE

      public static final int CM_OPERATION_INCOMPLETE

  See Also:
    Constant Field Values

  ### CM_SYSTEM_EVENT

      public static final int CM_SYSTEM_EVENT

  See Also:
    Constant Field Values

  ### CM_OPERATION_NOT_ACCEPTED

      public static final int CM_OPERATION_NOT_ACCEPTED

  See Also:
    Constant Field Values

  ### CM_CONVERSATION_ENDING

      public static final int CM_CONVERSATION_ENDING

  See Also:
    Constant Field Values

  ### CM_SEND_RCV_MODE_NOT_SUPPORTED

      public static final int CM_SEND_RCV_MODE_NOT_SUPPORTED

  See Also:
    Constant Field Values

  ### CM_BUFFER_TOO_SMALL

      public static final int CM_BUFFER_TOO_SMALL

  See Also:
    Constant Field Values

  ### CM_EXP_DATA_NOT_SUPPORTED

      public static final int CM_EXP_DATA_NOT_SUPPORTED

  See Also:
    Constant Field Values

  ### CM_DEALLOC_CONFIRM_REJECT

      public static final int CM_DEALLOC_CONFIRM_REJECT

  See Also:
    Constant Field Values

  ### CM_ALLOCATION_ERROR

      public static final int CM_ALLOCATION_ERROR

  See Also:
    Constant Field Values

  ### CM_RETRY_LIMIT_EXCEEDED

      public static final int CM_RETRY_LIMIT_EXCEEDED

  See Also:
    Constant Field Values

  ### CM_NO_SECONDARY_INFORMATION

      public static final int CM_NO_SECONDARY_INFORMATION

  See Also:
    Constant Field Values

  ### CM_SECURITY_NOT_SUPPORTED

      public static final int CM_SECURITY_NOT_SUPPORTED

  See Also:
    Constant Field Values

  ### CM_SECURITY_MUTUAL_FAILED

      public static final int CM_SECURITY_MUTUAL_FAILED

  See Also:
    Constant Field Values

  ### CM_CALL_NOT_SUPPORTED

      public static final int CM_CALL_NOT_SUPPORTED

  See Also:
    Constant Field Values

  ### CM_PARM_VALUE_NOT_SUPPORTED

      public static final int CM_PARM_VALUE_NOT_SUPPORTED

  See Also:
    Constant Field Values

  ### CM_TAKE_BACKOUT

      public static final int CM_TAKE_BACKOUT

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND_BO

      public static final int CM_DEALLOCATED_ABEND_BO

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND_SVC_BO

      public static final int CM_DEALLOCATED_ABEND_SVC_BO

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_ABEND_TIMER_BO

      public static final int CM_DEALLOCATED_ABEND_TIMER_BO

  See Also:
    Constant Field Values

  ### CM_RESOURCE_FAIL_NO_RETRY_BO

      public static final int CM_RESOURCE_FAIL_NO_RETRY_BO

  See Also:
    Constant Field Values

  ### CM_RESOURCE_FAILURE_RETRY_BO

      public static final int CM_RESOURCE_FAILURE_RETRY_BO

  See Also:
    Constant Field Values

  ### CM_DEALLOCATED_NORMAL_BO

      public static final int CM_DEALLOCATED_NORMAL_BO

  See Also:
    Constant Field Values

  ### CM_CONV_DEALLOC_AFTER_SYNCPT

      public static final int CM_CONV_DEALLOC_AFTER_SYNCPT

  See Also:
    Constant Field Values

  ### CM_INCLUDE_PARTNER_REJECT_BO

      public static final int CM_INCLUDE_PARTNER_REJECT_BO

  See Also:
    Constant Field Values

  Constructor Detail

  ### SNAConstants.SNAReturnCodes

      public SNAConstants.SNAReturnCodes()

  Method Detail

  ### getCM_OK

      public static final int getCM_OK()

    Returns:
      CM_OK

  ### getCM_ALLOCATE_FAILURE_NO_RETRY

      public static final int getCM_ALLOCATE_FAILURE_NO_RETRY()

    Returns:
      CM_ALLOCATE_FAILURE_NO_RETRY

  ### getCM_ALLOCATE_FAILURE_RETRY

      public static final int getCM_ALLOCATE_FAILURE_RETRY()

    Returns:
      CM_ALLOCATE_FAILURE_RETRY

  ### getCM_CONVERSATION_TYPE_MISMATCH

      public static final int getCM_CONVERSATION_TYPE_MISMATCH()

    Returns:
      CM_CONVERSATION_TYPE_MISMATCH

  ### getCM_PIP_NOT_SPECIFIED_CORRECTLY

      public static final int getCM_PIP_NOT_SPECIFIED_CORRECTLY()

    Returns:
      CM_PIP_NOT_SPECIFIED_CORRECTLY

  ### getCM_SECURITY_NOT_VALID

      public static final int getCM_SECURITY_NOT_VALID()

    Returns:
      CM_SECURITY_NOT_VALID

  ### getCM_SYNC_LVL_NOT_SUPPORTED_LU

      public static final int getCM_SYNC_LVL_NOT_SUPPORTED_LU()

    Returns:
      CM_SYNC_LVL_NOT_SUPPORTED_LU

  ### getCM_SYNC_LEVEL_NOT_SUPPORTED_LU

      public static final int getCM_SYNC_LEVEL_NOT_SUPPORTED_LU()

    Returns:
      CM_SYNC_LEVEL_NOT_SUPPORTED_LU

  ### getCM_SYNC_LVL_NOT_SUPPORTED_PGM

      public static final int getCM_SYNC_LVL_NOT_SUPPORTED_PGM()

    Returns:
      CM_SYNC_LVL_NOT_SUPPORTED_PGM

  ### getCM_SYNC_LEVEL_NOT_SUPPORTED_PGM

      public static final int getCM_SYNC_LEVEL_NOT_SUPPORTED_PGM()

    Returns:
      CM_SYNC_LEVEL_NOT_SUPPORTED_PGM

  ### getCM_TPN_NOT_RECOGNIZED

      public static final int getCM_TPN_NOT_RECOGNIZED()

    Returns:
      CM_TPN_NOT_RECOGNIZED

  ### getCM_TPN_NOT_RECOGNISED

      public static final int getCM_TPN_NOT_RECOGNISED()

    Returns:
      CM_TPN_NOT_RECOGNISED

  ### getCM_TP_NOT_AVAILABLE_NO_RETRY

      public static final int getCM_TP_NOT_AVAILABLE_NO_RETRY()

    Returns:
      CM_TP_NOT_AVAILABLE_NO_RETRY

  ### getCM_TP_NOT_AVAILABLE_RETRY

      public static final int getCM_TP_NOT_AVAILABLE_RETRY()

    Returns:
      CM_TP_NOT_AVAILABLE_RETRY

  ### getCM_DEALLOCATED_ABEND

      public static final int getCM_DEALLOCATED_ABEND()

    Returns:
      CM_DEALLOCATED_ABEND

  ### getCM_DEALLOCATED_NORMAL

      public static final int getCM_DEALLOCATED_NORMAL()

    Returns:
      CM_DEALLOCATED_NORMAL

  ### getCM_PARAMETER_ERROR

      public static final int getCM_PARAMETER_ERROR()

    Returns:
      CM_PARAMETER_ERROR

  ### getCM_PRODUCT_SPECIFIC_ERROR

      public static final int getCM_PRODUCT_SPECIFIC_ERROR()

    Returns:
      CM_PRODUCT_SPECIFIC_ERROR

  ### getCM_PROGRAM_ERROR_NO_TRUNC

      public static final int getCM_PROGRAM_ERROR_NO_TRUNC()

    Returns:
      CM_PROGRAM_ERROR_NO_TRUNC

  ### getCM_PROGRAM_ERROR_PURGING

      public static final int getCM_PROGRAM_ERROR_PURGING()

    Returns:
      CM_PROGRAM_ERROR_PURGING

  ### getCM_PROGRAM_ERROR_TRUNC

      public static final int getCM_PROGRAM_ERROR_TRUNC()

    Returns:
      CM_PROGRAM_ERROR_TRUNC

  ### getCM_PROGRAM_PARAMETER_CHECK

      public static final int getCM_PROGRAM_PARAMETER_CHECK()

    Returns:
      CM_PROGRAM_PARAMETER_CHECK

  ### getCM_PROGRAM_STATE_CHECK

      public static final int getCM_PROGRAM_STATE_CHECK()

    Returns:
      CM_PROGRAM_STATE_CHECK

  ### getCM_RESOURCE_FAILURE_NO_RETRY

      public static final int getCM_RESOURCE_FAILURE_NO_RETRY()

    Returns:
      CM_RESOURCE_FAILURE_NO_RETRY

  ### getCM_RESOURCE_FAILURE_RETRY

      public static final int getCM_RESOURCE_FAILURE_RETRY()

    Returns:
      CM_RESOURCE_FAILURE_RETRY

  ### getCM_UNSUCCESSFUL

      public static final int getCM_UNSUCCESSFUL()

    Returns:
      CM_UNSUCCESSFUL

  ### getCM_DEALLOCATED_ABEND_SVC

      public static final int getCM_DEALLOCATED_ABEND_SVC()

    Returns:
      CM_DEALLOCATED_ABEND_SVC

  ### getCM_DEALLOCATED_ABEND_TIMER

      public static final int getCM_DEALLOCATED_ABEND_TIMER()

    Returns:
      CM_DEALLOCATED_ABEND_TIMER

  ### getCM_SVC_ERROR_NO_TRUNC

      public static final int getCM_SVC_ERROR_NO_TRUNC()

    Returns:
      CM_SVC_ERROR_NO_TRUNC

  ### getCM_SVC_ERROR_PURGING

      public static final int getCM_SVC_ERROR_PURGING()

    Returns:
      CM_SVC_ERROR_PURGING

  ### getCM_SVC_ERROR_TRUNC

      public static final int getCM_SVC_ERROR_TRUNC()

    Returns:
      CM_SVC_ERROR_TRUNC

  ### getCM_OPERATION_INCOMPLETE

      public static final int getCM_OPERATION_INCOMPLETE()

    Returns:
      CM_OPERATION_INCOMPLETE

  ### getCM_SYSTEM_EVENT

      public static final int getCM_SYSTEM_EVENT()

    Returns:
      CM_SYSTEM_EVENT

  ### getCM_OPERATION_NOT_ACCEPTED

      public static final int getCM_OPERATION_NOT_ACCEPTED()

    Returns:
      CM_OPERATION_NOT_ACCEPTED

  ### getCM_CONVERSATION_ENDING

      public static final int getCM_CONVERSATION_ENDING()

    Returns:
      CM_CONVERSATION_ENDING

  ### getCM_SEND_RCV_MODE_NOT_SUPPORTED

      public static final int getCM_SEND_RCV_MODE_NOT_SUPPORTED()

    Returns:
      CM_SEND_RCV_MODE_NOT_SUPPORTED

  ### getCM_BUFFER_TOO_SMALL

      public static final int getCM_BUFFER_TOO_SMALL()

    Returns:
      CM_BUFFER_TOO_SMALL

  ### getCM_EXP_DATA_NOT_SUPPORTED

      public static final int getCM_EXP_DATA_NOT_SUPPORTED()

    Returns:
      CM_EXP_DATA_NOT_SUPPORTED

  ### getCM_DEALLOC_CONFIRM_REJECT

      public static final int getCM_DEALLOC_CONFIRM_REJECT()

    Returns:
      CM_DEALLOC_CONFIRM_REJECT

  ### getCM_ALLOCATION_ERROR

      public static final int getCM_ALLOCATION_ERROR()

    Returns:
      CM_ALLOCATION_ERROR

  ### getCM_RETRY_LIMIT_EXCEEDED

      public static final int getCM_RETRY_LIMIT_EXCEEDED()

    Returns:
      CM_RETRY_LIMIT_EXCEEDED

  ### getCM_NO_SECONDARY_INFORMATION

      public static final int getCM_NO_SECONDARY_INFORMATION()

    Returns:
      CM_NO_SECONDARY_INFORMATION

  ### getCM_SECURITY_NOT_SUPPORTED

      public static final int getCM_SECURITY_NOT_SUPPORTED()

    Returns:
      CM_SECURITY_NOT_SUPPORTED

  ### getCM_SECURITY_MUTUAL_FAILED

      public static final int getCM_SECURITY_MUTUAL_FAILED()

    Returns:
      CM_SECURITY_MUTUAL_FAILED

  ### getCM_CALL_NOT_SUPPORTED

      public static final int getCM_CALL_NOT_SUPPORTED()

    Returns:
      CM_CALL_NOT_SUPPORTED

  ### getCM_PARM_VALUE_NOT_SUPPORTED

      public static final int getCM_PARM_VALUE_NOT_SUPPORTED()

    Returns:
      CM_PARM_VALUE_NOT_SUPPORTED

  ### getCM_TAKE_BACKOUT

      public static final int getCM_TAKE_BACKOUT()

    Returns:
      CM_TAKE_BACKOUT

  ### getCM_DEALLOCATED_ABEND_BO

      public static final int getCM_DEALLOCATED_ABEND_BO()

    Returns:
      CM_DEALLOCATED_ABEND_BO

  ### getCM_DEALLOCATED_ABEND_SVC_BO

      public static final int getCM_DEALLOCATED_ABEND_SVC_BO()

    Returns:
      CM_DEALLOCATED_ABEND_SVC_BO

  ### getCM_DEALLOCATED_ABEND_TIMER_BO

      public static final int getCM_DEALLOCATED_ABEND_TIMER_BO()

    Returns:
      CM_DEALLOCATED_ABEND_TIMER_BO

  ### getCM_RESOURCE_FAIL_NO_RETRY_BO

      public static final int getCM_RESOURCE_FAIL_NO_RETRY_BO()

    Returns:
      CM_RESOURCE_FAIL_NO_RETRY_BO

  ### getCM_RESOURCE_FAILURE_RETRY_BO

      public static final int getCM_RESOURCE_FAILURE_RETRY_BO()

    Returns:
      CM_RESOURCE_FAILURE_RETRY_BO

  ### getCM_DEALLOCATED_NORMAL_BO

      public static final int getCM_DEALLOCATED_NORMAL_BO()

    Returns:
      CM_DEALLOCATED_NORMAL_BO

  ### getCM_CONV_DEALLOC_AFTER_SYNCPT

      public static final int getCM_CONV_DEALLOC_AFTER_SYNCPT()

    Returns:
      CM_CONV_DEALLOC_AFTER_SYNCPT

  ### getCM_INCLUDE_PARTNER_REJECT_BO

      public static final int getCM_INCLUDE_PARTNER_REJECT_BO()

    Returns:
      CM_INCLUDE_PARTNER_REJECT_BO

  ### getReturnCodeString

      public static final java.lang.String getReturnCodeString(int returnCode)

    Returns the returnCode as String

    Parameters:
      `returnCode` - The returnCode in int
    Returns:
      The returnCode as String

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Sun Adapter for SNA LU62 API
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2008 Sun Microsystems, Inc. All rights reserved.